import Flutter
import UIKit

public class SwiftTradeinPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "tradein_plugin", binaryMessenger: registrar.messenger())
    let instance = SwiftTradeinPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    if(call.method == "getDynamicValues"){
      guard let results = call.arguments else {
                  return
      }
        let myresult = results as? [String: Any] ?? [:]
      print("myresult",myresult)
      let modal = myresult["modal"]
        let arr = myresult["arr"] as? [[String: Any]] ?? []
      print("modal",modal)
//      let addVehicle = TIAddVehicleViewController(nibName: nil, bundle: nil)
      
  
         let storyBoard = UIStoryboard.init(name: "Main", bundle: Bundle.init(for: SampleViewController.self))
     let controller = storyBoard.instantiateViewController(withIdentifier: "SampleViewController") as! SampleViewController
        controller.carListArr = arr
        controller.callback={(value:String) in
            result("\(value)")
        }
   if let navController = UIApplication.shared.delegate?.window??.rootViewController as? UINavigationController {
//                UIApplication.shared.delegate?.window??.rootViewController!.present(controller, animated: true, completion: nil)
               navController.pushViewController(controller, animated: true)
            } else {
                let flutterViewController = UIApplication.shared.delegate?.window??.rootViewController as! FlutterViewController
//                flutterViewController.present(controller, animated: true, completion: nil)
                flutterViewController.navigationController?.pushViewController(controller, animated: true)
            }

      // let storyboard : UIStoryboard? = UIStoryboard.init(name: "Main", bundle: nil);
        // let window: UIWindow = ((UIApplication.shared.delegate?.window)!)!

        // let objVC: UIViewController = storyboard!.instantiateViewController(withIdentifier: "SampleViewController") as? SampleViewController
//        let aObjNavi = UINavigationController(rootViewController: objVC!)
        // if let rootVC = window.rootViewController as? UINavigationController{
//            rootVC.present(objVC, animated: true, completion: nil)
            // rootVC.pushViewController(objVC, animated: true)
        // }
        // window.rootViewController = aObjNavi
//        window.rootViewController.pushViewController(aObjNavi, animated: true)
    }
//    result("iOS " + UIDevice.current.systemVersion)
  }
}
